package com.ruoyi.project.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.project.business.domain.TjElevatorFloorPara;
import com.ruoyi.project.business.mapper.TjElevatorFloorParaMapper;
import com.ruoyi.project.business.service.ITjElevatorFloorParaService;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2024-06-18
 */
@Service
public class TjElevatorFloorParaServiceImpl extends
    ServiceImpl<TjElevatorFloorParaMapper, TjElevatorFloorPara> implements ITjElevatorFloorParaService {

    @Resource
    private TjElevatorFloorParaMapper tjElevatorFloorParaMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TjElevatorFloorPara selectTjElevatorFloorParaById(Long id) {
        return tjElevatorFloorParaMapper.selectTjElevatorFloorParaById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tjElevatorFloorPara 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TjElevatorFloorPara> selectTjElevatorFloorParaList(TjElevatorFloorPara tjElevatorFloorPara) {
        return tjElevatorFloorParaMapper.selectTjElevatorFloorParaList(tjElevatorFloorPara);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param tjElevatorFloorPara 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTjElevatorFloorPara(TjElevatorFloorPara tjElevatorFloorPara) {
        tjElevatorFloorPara.setCreateTime(DateUtils.getNowDate());
        return tjElevatorFloorParaMapper.insertTjElevatorFloorPara(tjElevatorFloorPara);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param tjElevatorFloorPara 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTjElevatorFloorPara(TjElevatorFloorPara tjElevatorFloorPara) {
        tjElevatorFloorPara.setUpdateTime(DateUtils.getNowDate());
        return tjElevatorFloorParaMapper.updateTjElevatorFloorPara(tjElevatorFloorPara);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTjElevatorFloorParaByIds(Long[] ids) {
        return tjElevatorFloorParaMapper.deleteTjElevatorFloorParaByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTjElevatorFloorParaById(Long id) {
        return tjElevatorFloorParaMapper.deleteTjElevatorFloorParaById(id);
    }
}
